> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a dashboard

> Returns the full dashboard including widgets. Increments the caller's view stats (except for templates) and emits opened analytics.



## OpenAPI

````yaml https://app-api.costory.io/docs/openapi.json get /dashboard-v2/{id}/full
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /dashboard-v2/{id}/full:
    get:
      tags:
        - Dashboards
      summary: Get a dashboard
      description: >-
        Returns the full dashboard including widgets. Increments the caller's
        view stats (except for templates) and emits opened analytics.
      operationId: getDashboard
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Dashboard with widgets
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardError'
      security:
        - bearerAuth: []
components:
  schemas:
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
    DashboardError:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.